Bug 876750 - SELinux is preventing /usr/lib64/realmd/realmd from 'getattr' accesses on the filesystem /.
Summary: SELinux is preventing /usr/lib64/realmd/realmd from 'getattr' accesses on the...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:6c5ad946b26a6a4d8bff84c5e69...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-14 21:05 UTC by Adam Reid
Modified: 2012-12-07 04:31 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-07 04:31:34 UTC
Type: ---


Attachments (Terms of Use)
File: type (9 bytes, text/plain)
2012-11-14 21:05 UTC, Adam Reid
no flags Details
File: hashmarkername (14 bytes, text/plain)
2012-11-14 21:05 UTC, Adam Reid
no flags Details

Description Adam Reid 2012-11-14 21:05:44 UTC
Description of problem:
1. setenforce 0
2. realm join --user=<domain admin> <domain>
3. reboot
4. login as my local admin user
5. add a domain user through the gnome user accounts panel

This denial is produced at this point


Additional info:
libreport version: 2.0.18
kernel:         3.6.0-0.rc2.git2.1.fc18.x86_64

description:
:SELinux is preventing /usr/lib64/realmd/realmd from 'getattr' accesses on the filesystem /.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that realmd should be allowed getattr access on the  filesystem by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep realmd /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:realmd_t:s0-s0:c0.c1023
:Target Context                system_u:object_r:fs_t:s0
:Target Objects                / [ filesystem ]
:Source                        realmd
:Source Path                   /usr/lib64/realmd/realmd
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           realmd-0.12-1.fc18.x86_64
:Target RPM Packages           filesystem-3.1-2.fc18.x86_64
:Policy RPM                    selinux-policy-3.11.1-50.fc18.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.6.0-0.rc2.git2.1.fc18.x86_64 #1
:                              SMP Wed Aug 22 11:54:04 UTC 2012 x86_64 x86_64
:Alert Count                   1
:First Seen                    2012-11-14 16:00:15 EST
:Last Seen                     2012-11-14 16:00:15 EST
:Local ID                      b0c0fe6e-a3f9-4fed-a752-98c86b0deb0c
:
:Raw Audit Messages
:type=AVC msg=audit(1352926815.619:320): avc:  denied  { getattr } for  pid=1938 comm="realmd" name="/" dev="sdb3" ino=2 scontext=system_u:system_r:realmd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:fs_t:s0 tclass=filesystem
:
:
:type=SYSCALL msg=audit(1352926815.619:320): arch=x86_64 syscall=fstatfs success=yes exit=0 a0=9 a1=7fffd3599b80 a2=0 a3=7fffd35998f0 items=0 ppid=1 pid=1938 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=realmd exe=/usr/lib64/realmd/realmd subj=system_u:system_r:realmd_t:s0-s0:c0.c1023 key=(null)
:
:Hash: realmd,realmd_t,fs_t,filesystem,getattr
:
:audit2allow
:
:#============= realmd_t ==============
:allow realmd_t fs_t:filesystem getattr;
:
:audit2allow -R
:
:#============= realmd_t ==============
:allow realmd_t fs_t:filesystem getattr;
:

Comment 1 Adam Reid 2012-11-14 21:05:47 UTC
Created attachment 645179 [details]
File: type

Comment 2 Adam Reid 2012-11-14 21:05:49 UTC
Created attachment 645180 [details]
File: hashmarkername

Comment 3 Miroslav Grepl 2012-11-15 10:02:58 UTC
Fixed in selinux-policy-3.11.1-54.fc18

Comment 4 Fedora Update System 2012-11-28 20:58:04 UTC
selinux-policy-3.11.1-57.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-57.fc18

Comment 5 Fedora Update System 2012-11-30 06:36:24 UTC
Package selinux-policy-3.11.1-57.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-57.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19374/selinux-policy-3.11.1-57.fc18
then log in and leave karma (feedback).

Comment 6 Adam Reid 2012-11-30 17:59:11 UTC
I upgraded selinux-policy as instructed above, and am happy to report that it worked!

I was able to add a realm account and login. There were other issues encountered that are unrelated to this policy error, one of which has been reported.

Comment 7 Fedora Update System 2012-12-02 19:30:26 UTC
Package selinux-policy-3.11.1-59.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-59.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19374/selinux-policy-3.11.1-59.fc18
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2012-12-06 20:12:45 UTC
Package selinux-policy-3.11.1-60.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-60.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19374/selinux-policy-3.11.1-60.fc18
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2012-12-07 04:31:35 UTC
selinux-policy-3.11.1-60.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.